Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Connect_Creation_Strategy Class Template Reference

Creation strategy helper. More...

`#include <Connector_Impl.h>`

Inheritance diagram for TAO_Connect_Creation_Strategy:

[legend]
Collaboration diagram for TAO_Connect_Creation_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Connect_Creation_Strategy (ACE_Thread_Manager *=0, TAO_ORB_Core *orb_core=0, void *arg=0, CORBA::Boolean flag=0)
| Constructor. <arg> parameter is used to pass any special state/info to the service handler upon creation. Currently used by IIOP and UIOP to pass protocol configuration properties. More...
virtual int | make_svc_handler (SVC_HANDLER *&sh)
| Makes TAO_*_Client_Connection_Handlers. More...
## Private Attributes
TAO_ORB_Core * | orb_core_
| Pointer to the ORB_Core on which we are activated. More...
void * | arg_
| Some info/state to be passed to the service handler we create. More...
CORBA::Boolean | lite_flag_
| Are we using GIOP lite? More...

## Detailed Description

### template<class SVC_HANDLER>
class TAO_Connect_Creation_Strategy< SVC_HANDLER >

Creation strategy helper.

Creates the TAO_*_Connection_Handler object for the TAO_*_Connector objects. This template class can now be used by all the Connector objects instead of having to duplicate code. This class can be used to set any required properties on the connection handlers at creation time.

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
TAO_Connect_Creation_Strategy< SVC_HANDLER >::TAO_Connect_Creation_Strategy | ( | ACE_Thread_Manager * | t = 0,
|  | TAO_ORB_Core * | orb_core = 0,
|  | void * | arg = 0,
|  | CORBA::Boolean | flag = 0
| ) |

| Constructor. <arg> parameter is used to pass any special state/info to the service handler upon creation. Currently used by IIOP and UIOP to pass protocol configuration properties.

## Member Function Documentation

template<class SVC_HANDLER>
int TAO_Connect_Creation_Strategy< SVC_HANDLER >::make_svc_handler | ( | SVC_HANDLER *& | sh | ) | `[virtual]`

| Makes TAO_*_Client_Connection_Handlers. Reimplemented from ACE_Creation_Strategy.

## Member Data Documentation

template<class SVC_HANDLER>
void* TAO_Connect_Creation_Strategy::arg_`[private]`

| Some info/state to be passed to the service handler we create.

template<class SVC_HANDLER>
CORBA::Boolean TAO_Connect_Creation_Strategy::lite_flag_`[private]`

| Are we using GIOP lite?

template<class SVC_HANDLER>
TAO_ORB_Core* TAO_Connect_Creation_Strategy::orb_core_`[private]`

| Pointer to the ORB_Core on which we are activated.

The documentation for this class was generated from the following files:

- Connector_Impl.h
- Connector_Impl.cpp